Bug 985990 - /usr/lib64/python2.7/site-packages/gnome_abrt/signals.py:74: PyGIDeprecationWarning: add_watch is deprecated; use GLib.io_add_watch() instead _gsource_handle_signal, (callback, data))
/usr/lib64/python2.7/site-packages/gnome_abrt/signals.py:74: PyGIDeprecationW...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 13:08 EDT by Nicolas Mailhot
Modified: 2016-11-30 19:44 EST (History)
2 users (show)

See Also:
Fixed In Version: gnome-abrt-0.3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-13 10:13:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2013-07-18 13:08:50 EDT
Description of problem:
/usr/lib64/python2.7/site-packages/gnome_abrt/signals.py:74: PyGIDeprecationWarning: add_watch is deprecated; use GLib.io_add_watch() instead
  _gsource_handle_signal, (callback, data))

Version-Release number of selected component (if applicable):
gnome-abrt-0.2.12-3.fc20.x86_64
Comment 1 Jakub Filak 2013-08-13 10:13:50 EDT
Fixed in upstream git:

commit ae656d7ab1d0c324e24bc051f5a25ca72431312a
Author: Jakub Filak <jfilak@redhat.com>
Date:   Fri Jul 19 13:19:55 2013 +0200

    Use GLib.io_add_watch() instead of IOChanell.add_watch()
    
    The add_watch() method has been deprecated in pygobject-3.7.2
    
    Closes rhbz#985990
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Jiri Moskovcak <jmoskovc@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.